I am the "4 %" of people who want LINUX MINT DEBIAN XFCE

Discuss non-support related topics related to LMDE.
Forum rules
Before you post please read this

I am the "4 %" of people who want LINUX MINT DEBIAN XFCE

Postby XFCEUser on Sat Aug 24, 2013 6:04 am

So in my searches about what ever happened to Linux Mint Debian XFCE support, I read the following
Going forward, LMDE ISOs will be released in two versions: MATE and Cinnamon. The decision was taken not to maintain a KDE version of LMDE and to stop maintaining the Xfce version. This was a painful decision to make considering the quality of LMDE Xfce and unofficial LMDE KDE, but one that made sense for Linux Mint since LMDE Xfce represented only 4% of the Linux Mint audience.
at http://blog.linuxmint.com/?p=2237. This bothers me. A lot. Where did you even get that figure? Why are you trying to force people to use Cinammon or MATE? XFCE is my ideal DE and I thought I found the perfect Linux distro when I originally used Linux Mint Debian XFCE, but you dropped support for it? I don't particularly trust Solydx as I would a Mint distro, is there anyway Mint Debian Edition could support XFCE again? I tried to install XFCE over the MATE edition and it just didn't work right, I shouldn't have to tweak it OOTB, there should be a polished XFCE version available. I feel like Mint is trying to force people to use their chosen DE's instead of the one that's actually good. Can you re-support it? It was betrayal to take away the XFCE edition of LMDE.
XFCEUser
Level 1
Level 1
 
Posts: 2
Joined: Sat Aug 24, 2013 5:53 am

Linux Mint is funded by ads and donations.
 

Re: I am the "4 %" of people who want LINUX MINT DEBIAN XFCE

Postby killer de bug on Sat Aug 24, 2013 6:10 am

Look this : http://solydxk.com/products/solydx/

It's way better than LMDE since LMDE is dead (following old stable now, clem clearly said it : viewtopic.php?f=200&t=135428&p=756791#p756644 ) and it has been developed by a former LMDE team member.
If I have seen further it is by standing on the shoulders of giants. [Isaac Newton]
User avatar
killer de bug
Level 7
Level 7
 
Posts: 1922
Joined: Tue Jul 08, 2008 1:49 pm
Location: Austria

Re: I am the "4 %" of people who want LINUX MINT DEBIAN XFCE

Postby XFCEUser on Sat Aug 24, 2013 6:25 am

killer de bug wrote:Look this : http://solydxk.com/products/solydx/

It's way better than LMDE since LMDE is dead (following old stable now, clem clearly said it : viewtopic.php?f=200&t=135428&p=756791#p756644 ) and it has been developed by a former LMDE team member.


I don't really trust it since it doesn't have the Mint name. Maybe that's petty, but I just am not someone who likes to jump into a new project (I feel like a test guinea pig or something). Also, when I did try to install it, the installer crashed. Then when I blanked the disc and installed LMDE, it worked fine. I would really just like the Mint team to stop purposely forcing people to use two certain DE's.
XFCEUser
Level 1
Level 1
 
Posts: 2
Joined: Sat Aug 24, 2013 5:53 am

Re: I am the "4 %" of people who want LINUX MINT DEBIAN XFCE

Postby killer de bug on Sat Aug 24, 2013 6:41 am

LMDE team don't propose any upgrade any more. Why on earth would you that they offer XFCE ????

You don't want SolydX, then use Debian and XFCE... :roll:
If I have seen further it is by standing on the shoulders of giants. [Isaac Newton]
User avatar
killer de bug
Level 7
Level 7
 
Posts: 1922
Joined: Tue Jul 08, 2008 1:49 pm
Location: Austria

Re: I am the "4 %" of people who want LINUX MINT DEBIAN XFCE

Postby catweazel on Sat Aug 24, 2013 6:50 am

killer de bug wrote:LMDE is dead (following old stable now, clem clearly said it

How do you manage to run like a rat up a drainpipe to "it's dead" from "it’s still alive" without a single passing thought?
Mint Testing Team & Mint Donor #3606
KDE 4.12.0, custom preemptive kernel 3.12.5,
Intel i7 4770K @ 4.7GHz, 16GB 2666MHz XMP,
4 Samsung 840 PRO 512GB SSDs in RAID0,
6TB HW RAID10, dual 24" Acer X243H,
Gigabyte nVidia GTX 680 Super Overclock
User avatar
catweazel
Level 7
Level 7
 
Posts: 1656
Joined: Fri Oct 12, 2012 9:44 pm

Re: I am the "4 %" of people who want LINUX MINT DEBIAN XFCE

Postby killer de bug on Sat Aug 24, 2013 6:52 am

clem
Hi Alessio,
Of course it’s still alive. Our main concern is that it works well though. It’s also set to receive backports but it doesn’t necessarily need to be bleeding edge and have the latest of everything.


That's clearly the opposite of Debian Testing. And since it's more out of date than Dabian Stable, then it's old stable. So it's no more the LMDE we used to know. It's not rocket science :roll:
If I have seen further it is by standing on the shoulders of giants. [Isaac Newton]
User avatar
killer de bug
Level 7
Level 7
 
Posts: 1922
Joined: Tue Jul 08, 2008 1:49 pm
Location: Austria

Re: I am the "4 %" of people who want LINUX MINT DEBIAN XFCE

Postby catweazel on Sat Aug 24, 2013 7:07 am

killer de bug wrote:
clem
Hi Alessio,
Of course it’s still alive.

It's not rocket science :roll:

No, it's not rocket science. It's plain English.
Mint Testing Team & Mint Donor #3606
KDE 4.12.0, custom preemptive kernel 3.12.5,
Intel i7 4770K @ 4.7GHz, 16GB 2666MHz XMP,
4 Samsung 840 PRO 512GB SSDs in RAID0,
6TB HW RAID10, dual 24" Acer X243H,
Gigabyte nVidia GTX 680 Super Overclock
User avatar
catweazel
Level 7
Level 7
 
Posts: 1656
Joined: Fri Oct 12, 2012 9:44 pm

Re: I am the "4 %" of people who want LINUX MINT DEBIAN XFCE

Postby killer de bug on Sat Aug 24, 2013 7:13 am

catweazel wrote:
killer de bug wrote:
clem
Hi Alessio,
Of course it’s still alive.

It's not rocket science :roll:

No, it's not rocket science. It's plain English.

The fact that's the repos are up, and that you can use LMDE is obvious. But the end of the sentence shows clearly that nothing will change. In 1 year you will still have the 3.2 kernel, Openoffice 3.0....

Read all the text please...
If I have seen further it is by standing on the shoulders of giants. [Isaac Newton]
User avatar
killer de bug
Level 7
Level 7
 
Posts: 1922
Joined: Tue Jul 08, 2008 1:49 pm
Location: Austria

Re: I am the "4 %" of people who want LINUX MINT DEBIAN XFCE

Postby catweazel on Sat Aug 24, 2013 7:23 am

killer de bug wrote:Read all the text please...

It does not amount to the death of LMDE.
Mint Testing Team & Mint Donor #3606
KDE 4.12.0, custom preemptive kernel 3.12.5,
Intel i7 4770K @ 4.7GHz, 16GB 2666MHz XMP,
4 Samsung 840 PRO 512GB SSDs in RAID0,
6TB HW RAID10, dual 24" Acer X243H,
Gigabyte nVidia GTX 680 Super Overclock
User avatar
catweazel
Level 7
Level 7
 
Posts: 1656
Joined: Fri Oct 12, 2012 9:44 pm

Re: I am the "4 %" of people who want LINUX MINT DEBIAN XFCE

Postby killer de bug on Sat Aug 24, 2013 7:35 am

ok ok...
Last time after that I stop. Debian Old stable is alive. You can use it for 2 years. That's doesn't mean that there will be novelties... :roll:
LMDE was based on TESTING. Now it's considered as stable so it's enough... Currently it's based on debian old stable and will stay like this for a while (it's written in black in the text, read carefully). So yes LMDE based on testing is dead and this distro is no more useful. Even Debian 7 is more up to date. :shock:
If I have seen further it is by standing on the shoulders of giants. [Isaac Newton]
User avatar
killer de bug
Level 7
Level 7
 
Posts: 1922
Joined: Tue Jul 08, 2008 1:49 pm
Location: Austria

Re: I am the "4 %" of people who want LINUX MINT DEBIAN XFCE

Postby jsalpha2 on Sat Aug 24, 2013 8:43 am

If you tried SolydX in the past, you may want to try it again. It is getting better and better. The new Whisker menu and Lucky Backup are available on the new ISOs. You can be a test guinea pig, if you want to help, but the regular version works well, and the people at the forum will help if you do have a problem. I also love the Xfce desktop.
it's amazing how far has the Xfce framework come in the recent years, from a boring nerdocode to an excellent, viable alternative for the leading Linux desktops.

from http://www.dedoimedo.com/computers/linux-mint-olivia-xfce.html During his review of the normal Mint Xfce.
jsalpha2
Level 2
Level 2
 
Posts: 86
Joined: Wed May 08, 2013 8:56 am

Re: I am the "4 %" of people who want LINUX MINT DEBIAN XFCE

Postby kurotsugi on Sat Aug 24, 2013 10:32 am

@OP: you can start with install any version of LMDE then install xfce and remove the other DE. or else, you can ask someone to remaster lmde's iso and make xfce as the default DE.

@killer_de_bug: I think you know better that clem can't release lmde due that cinnamon is killed by gjs. it's not dead. it's simply delayed until cinnamon 2.0 finished. i could understand what you feel but your act won't change anything. your words simply might not reach clem and mint team. this is a forum mainly for troubleshooting mint. if you have any idea, suggestion, or critic, the best way is to put them on community.linuxmint.com. you can also directly reach mint team on via IRC anytime.
kurotsugi
Level 6
Level 6
 
Posts: 1037
Joined: Fri Jan 25, 2013 3:54 am

Re: I am the "4 %" of people who want LINUX MINT DEBIAN XFCE

Postby killer de bug on Sat Aug 24, 2013 10:48 am

kurotsugi wrote:@killer_de_bug: I think you know better that clem can't release lmde due that cinnamon is killed by gjs. it's not dead. it's simply delayed until cinnamon 2.0 finished. i could understand what you feel but your act won't change anything. your words simply might not reach clem and mint team. this is a forum mainly for troubleshooting mint. if you have any idea, suggestion, or critic, the best way is to put them on community.linuxmint.com. you can also directly reach mint team on via IRC anytime.


I think that you understand that Cinnamon problem only concern Gnome libs. That doesn't change the fact that we can have an UP7 with 3.10 kernel, LibreOffice 4.x, Firefox 22...
It's not like if the 3.2 kernel with Nvidia drivers was the best on earth... :lol:
If I have seen further it is by standing on the shoulders of giants. [Isaac Newton]
User avatar
killer de bug
Level 7
Level 7
 
Posts: 1922
Joined: Tue Jul 08, 2008 1:49 pm
Location: Austria

Re: I am the "4 %" of people who want LINUX MINT DEBIAN XFCE

Postby kurotsugi on Sat Aug 24, 2013 11:16 am

the new kernel might sounds great but 3.10 drop support for old hardware and some of user might prefer the old one. if anyone want to use newer package anyone could simply safely switch to testing temporarily and wait until new UP comes regularly.

the main issue is that LMDE only have cinnamon and mate version. we should considerr that cinnamon is part of mint brand and it has been one of LMDE's main attraction. to put it simply, cinnamon have becomes indispendable part of LMDE and. release UP at this time might satisfy one or two people but it will create a bigger wave of complains about missing cinnamon. I think you should take a look how great the complain was when lmde drop the xfce and kde version. even though I'm not using cinnamon, I think there's no point of release a new UP if there's no cinnamon and nemo.
kurotsugi
Level 6
Level 6
 
Posts: 1037
Joined: Fri Jan 25, 2013 3:54 am

Re: I am the "4 %" of people who want LINUX MINT DEBIAN XFCE

Postby killer de bug on Sat Aug 24, 2013 12:31 pm

But you can have a UP without Gnome 3.8 and Cinnamon and Nemo will continue to work without a glitch...
Just for your information the nicely rolling release LMDE has Mate 1.4 but Mate 1.6 (huge improvement) is out since... forever ? :mrgreen:
If I have seen further it is by standing on the shoulders of giants. [Isaac Newton]
User avatar
killer de bug
Level 7
Level 7
 
Posts: 1922
Joined: Tue Jul 08, 2008 1:49 pm
Location: Austria

Re: I am the "4 %" of people who want LINUX MINT DEBIAN XFCE

Postby kurotsugi on Sat Aug 24, 2013 4:44 pm

But you can have a UP without Gnome 3.8 and Cinnamon and Nemo will continue to work without a glitch...
I'm afraid it isnt true. current cinnamon is highly depends on gnome. cinnamon simply can't work without gnome. we could hold gjs for a temporary solution but the gnome components will have high possibility to break or malfunctioned which will eventually makes cinnamon crashed.

Just for your information the nicely rolling release LMDE has Mate 1.4 but Mate 1.6 (huge improvement) is out since... forever ? :mrgreen:
thanks for the information. sadly this info isnt related to our discussion nor change the fact that cinnamon is killed by gjs. have you checked whether if testing have all dependency to build mate 1.6 at this moment? I guess not. I don't know why mint team haven't built it yet but they should have their own reason.
kurotsugi
Level 6
Level 6
 
Posts: 1037
Joined: Fri Jan 25, 2013 3:54 am

Re: I am the "4 %" of people who want LINUX MINT DEBIAN XFCE

Postby xfrank on Sat Aug 24, 2013 9:40 pm

jsalpha2 wrote:If you tried SolydX in the past, you may want to try it again. It is getting better and better. The new Whisker menu and Lucky Backup are available on the new ISOs. You can be a test guinea pig, if you want to help, but the regular version works well, and the people at the forum will help if you do have a problem. I also love the Xfce desktop.
it's amazing how far has the Xfce framework come in the recent years, from a boring nerdocode to an excellent, viable alternative for the leading Linux desktops.

from http://www.dedoimedo.com/computers/linux-mint-olivia-xfce.html During his review of the normal Mint Xfce.


I've tried to install solydx with no luck (it did not recognized wifi). Solydx is not bad (I will try it again soon), but LMDE seems better. The only problem is the lack of updates.
As for Xfce, I agree Xfce is the best DE, but Mate is not that bad... A heavy tweaked LMDE (like that of Peppermint 4) is a good option too.

LMDE is indeed alive but don't seems the priority for the Mint team, for the moment.
Linux: LMDE (Mate), Mint13 (Xfce), Mint 17 (Xfce), Peppermint 3 (LXDE), Manjaro (Xfce and Netbook Edition)
xfrank
Level 4
Level 4
 
Posts: 262
Joined: Sat Nov 24, 2012 6:09 pm
Location: Mexico

Re: I am the "4 %" of people who want LINUX MINT DEBIAN XFCE

Postby killer de bug on Sun Aug 25, 2013 7:16 am

kurotsugi wrote:
But you can have a UP without Gnome 3.8 and Cinnamon and Nemo will continue to work without a glitch...
I'm afraid it isnt true. current cinnamon is highly depends on gnome. cinnamon simply can't work without gnome. we could hold gjs for a temporary solution but the gnome components will have high possibility to break or malfunctioned which will eventually makes cinnamon crashed.





Can you please read carefully what I wrote yesterday before writing an answer ? It's hard to discuss with you, you know.
So one last time, after that I stop.

You are not obliged to put Gnome 3.8 libs in the UP7. You can just create an UP7 with the 3.10 kernel, Nvidia or AMD drivers, firefox, libreoffice 4.x...
If you do not upgrade Gnome 3.4 to Gnome 3.8, then Cinnamon will continue to work fine since it's working fine (almost...) right now.

If you don't understand it this time, I can't do anything else for you... :wink:



kurotsugi wrote: thanks for the information. sadly this info isnt related to our discussion nor change the fact that cinnamon is killed by gjs. have you checked whether if testing have all dependency to build mate 1.6 at this moment? I guess not. I don't know why mint team haven't built it yet but they should have their own reason.


Since the discussion is that LMDE is out of date, this is relevant. And I don't care about gjs, since you are not obliged to upgrade it...
Official MATE website, say that you can install MATE 1.6 on Debian.
If I have seen further it is by standing on the shoulders of giants. [Isaac Newton]
User avatar
killer de bug
Level 7
Level 7
 
Posts: 1922
Joined: Tue Jul 08, 2008 1:49 pm
Location: Austria

Re: I am the "4 %" of people who want LINUX MINT DEBIAN XFCE

Postby kurotsugi on Sun Aug 25, 2013 9:21 am

I think you haven't understand how LMDE rolls. first of all LMDE have four repository
1. Mint repo
2. snapshot of debian testing repo
3. snapshot of deb-multimedia repo
4. incoming repo (inactive on default installation)

cinnamon and nemo are inside mint repo while the gnome components are on snapshot of debian testing. the steps to create an UP are:
1. sync debian testing and deb-multimedia repo to incoming repo.
2. get feedback from the user who use incoming repo.
3. fix all issue in incoming.
4. move incoming to the official repo.
as you can see from the scheme, its not mint team who decide which version of gnome will be moved into testing repository. mint team simply copy all the package inside debian testing and use whatever inside it. mint team can't use old version of gnome simply because it doesn't exist on debian testing anymore. on a system maintenace we could simply choose to 'hold a package' but you should remember that maintaining a repo and maintaining a system is two completely different thing. in repo management there's no such thing called 'hold a package' mechanism.
kurotsugi
Level 6
Level 6
 
Posts: 1037
Joined: Fri Jan 25, 2013 3:54 am

Re: I am the "4 %" of people who want LINUX MINT DEBIAN XFCE

Postby Transitman on Sun Aug 25, 2013 6:35 pm

killer de bug wrote:...since LMDE is dead (following old stable now, clem clearly said it (viewtopic.php?f=200&t=135428&p=756791#p756644 ) and it has been developed by a former LMDE team member.



Not sure what you're smoking or drinking, but look at this thread response - viewtopic.php?f=200&t=135428&p=757331#p757331
Transitman
Level 2
Level 2
 
Posts: 98
Joined: Sun Dec 02, 2007 1:48 am

Linux Mint is funded by ads and donations.
 
Next

Return to Open Discussion

Who is online

Users browsing this forum: No registered users and 2 guests